QGIS Application - Bug report #10131
Incomplete srs.db in qgis 2.2
2014-04-29 02:43 AM - Jean-Roc Morreale

Status: Closed

Priority: High

Assignee:

Category: Windows Package

Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18590
Description

Hi,

I'm preparing a deployment of qgis 2.2 using the OSGEO4W standalone installer and | noticed that there is many missing SRS in the

srs.db when you compare it to the file in qgis-dev :

srs.db from qgis 2.3 -> 5453 references
srs.db from qgis 2.2 -> 1695 references

Related issues:

Duplicates QGIS Application - Bug report # 9409: CRS not recognized in Dufour...

Closed

2014-01-22

Associated revisions

Revision e4dd9008 - 2014-06-17 09:10 AM - Jiirgen Fischer

osgeo4w: fix postinstall-common.bat quoting (fixes #10131)

History

#1 - 2014-04-29 04:47 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Not reproducable:

$ sqlite3 "/c/Program Files/QGIS Valmiera/apps/qgis/resources/srs.db" "SELECT count(*) FROM tbl_srs"

5453

$ grep -A28 "Synchronizing CRS" "/c/Program Files/QGIS Valmiera/postinstall.log"

Synchronizing CRS database with GDAL/PROJ definitions.

0: src=SOURCE_CRS_CODE dst=source_crs_code idx=2

1: src=TARGET_CRS_CODE dst=target_crs_code idx=3

2: src=REMARKS dst=remarks idx=4

3: src=COORD_OP_SCOPE dst=scope idx=5

4: src=AREA_OF_USE_CODE dst=area_of_use_code idx=6

5: src=DEPRECATED dst=deprecated idx=12

6: src=COORD_OP_METHOD_CODE dst=coord_op_method_code idx=13
7: src=DX dst=p1 idx=14

8: src=DY dst=p2 idx=15
9: src=DZ dst=p3 idx=16
10: src=RX dst=p4 idx=17
11: src=RY dst=p5 idx=18

12: src=RZ dst=p6 idx=19

13: src=DS dst=p7 idx=20

14: src=PREFERRED dst=preferred idx=21

15: src=COORD_OP_CODE dst=coord_op_code idx=1

Only 0 columns

Load srs db from: C:/PROGRA~1/QGISVA~1/apps/qgis/./resources/srs.db
Loaded 465/466 from C:\\PROGRA~1\\QGISVA~1\\share\\gdal\\gcs.csv
Loaded 3790/3831 from C:\PROGRA~1\\QGISVA~1\\share\\gdal\\pcs.csv
Loaded 147/148 from C:\\PROGRA~1\\QGISVA~1\\share\\gdal\\vertcs.csv
Loaded 61/62 from C:\\PROGRA~1\QGISVA~1\\share\\gdal\\compdcs.csv
Loaded 129/130 from C:\PROGRA~1\QGISVA~1\\share\\gdal\\geoccs.csv
Loading epsg.wkt

Loading esri_extra.wkt

5044 WKTs loaded

CRS update (inserted:128 updated: 147 deleted:1 errors:0)

275 CRSs updated.

#2 - 2014-04-29 05:08 AM - Jean-Roc Morreale

Here is the content of my postinstall.log, it seems the install path wasn't recognized (maybe due to the blank space) :

"E:\QGIS" n'est pas reconnu en tant que commande interne

ou externe, un programme ex,cutable ou un fichier de commandes.
OSGEO4W home is E:\QGIS Valmiera

Synchronizing CRS database with GDAL/PROJ definitions.

Load srs db from: E:/QGIS Valmiera/apps/qgis/./resources/srs.db
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified

Loading epsg.wkt

0 WKTs loaded

CRS update (inserted:0 updated:0 deleted:3631 errors:0)

No CRS updates were necessary.

I'll try a new install with an other path

#3 - 2014-05-02 05:38 AM - Jiirgen Fischer

Still odd. That long path with blanks should be turned into a short path w/o blanks (as in my case).

#4 - 2014-06-10 11:30 PM - Jiirgen Fischer

- Category changed from Projection Support to Windows Package

#5 - 2014-06-17 12:10 AM - Jiirgen Fischer
- Status changed from Feedback to Closed
Fixed in changeset commit:"e4dd9008546c0d994a7daf36b45da3f584053b89".

#6 - 2014-06-17 12:20 AM - Jiirgen Fischer
Jurgen Fischer wrote:

Fixed in changeset commit:"e4dd9008546c0d994a7daf36b45da3f584053b89".

Probably still other issues when 8dot3names is disabled in the file system. GRASS and MSYS have problems with blanks in path.
http://technet.microsoft.com/en-us/library/ff621566.aspx

